Java.cab 檔案安裝從.hta 檔無法運作

重要:本文是以 Microsoft 機器翻譯軟體翻譯而成,而非使用人工翻譯而成。Microsoft 同時提供使用者人工翻譯及機器翻譯兩個版本的文章,讓使用者可以依其使用語言使用知識庫中的所有文章。但是,機器翻譯的文章可能不盡完美。這些文章中也可能出現拼字、語意或文法上的錯誤,就像外國人在使用本國語言時可能發生的錯誤。Microsoft 不為內容的翻譯錯誤或客戶對該內容的使用所產生的任何錯誤或損害負責。Microsoft也同時將不斷地就機器翻譯軟體進行更新。

按一下這裡查看此文章的英文版本:288973
本文已封存。本文係以「現狀」提供且不會再更新。
徵狀
當您執行 HTML 程式 (.hta 檔案) 時,Internet Explorer 不會執行封裝在已簽署的.cab 檔案的 Java 程式,並且顯示下列錯誤訊息:
您目前的安全性設定不容許執行此頁面上的 ActiveX 控制項。如此一來在頁面可能無法正確顯示。
如果不會發生這個問題:
  • .hta 程式使用包含 ActiveX 控制項的已簽署的.cab 檔。
  • 您使用 HTML 檔案,而不.hta 檔案。
發生的原因
Mshtml.dll 並不會檢查安全性區域正確的.hta 檔,就會發生這個問題。
解決方案
如果要解決這個問題,取得最新的 Service Pack 的 Internet Explorer 5.5 版。如需詳細資訊按一下 [下面的文件編號,檢視 「 Microsoft 知識庫 」 中的發行項]:
267954如何取得最新的網際網路檔案總管 5.5 Service Pack
網際網路總管 5.5 SP1 此修正程式的英文版應該具有下列檔案屬性或更新版本:
   Date        Time   Version        Size       File name   Platform   -----------------------------------------------------------------   08/03/2001  11:40  5.50.4615.700  2,745,104  Mshtml.dll  Intel				

狀況說明
Microsoft 已確認這是在本文開頭所列之 Microsoft 產品中的問題。這個問題已經先獲得在 Internet Explorer 5.5 版中修正 Service Pack 2。

警告:本文為自動翻譯

內容

文章識別碼:288973 - 最後檢閱時間:10/23/2013 16:23:08 - 修訂: 3.2

Microsoft Internet Explorer 5.5 Service Pack 1, Microsoft Internet Explorer 5.01, Microsoft Internet Explorer 5.01, Microsoft Internet Explorer 5.0, Microsoft Internet Explorer 5.5 Service Pack 1, Microsoft Internet Explorer 5.01, Microsoft Internet Explorer 5.01, Microsoft Internet Explorer 5.5 Service Pack 1, Microsoft Internet Explorer 5.01, Microsoft Internet Explorer 5.0

  • kbnosurvey kbarchive kbmt kbhotfixserver kbqfe kbfix kbie550presp2fix kbprb KB288973 KbMtzh
意見反應